%def_without M24

%if_with M24
%define _release alt3.M24.1
%else
%define _release alt4
%endif

Name: cooledit
Version: 3.17.17
Release: %_release
Packager: Grigory Batalov <bga@altlinux.ru>

Summary: Full featured multiple window programmer's text editor
Summary(ru_RU.KOI8-R):      
Icon: cooledit.gif
License: GPL
Group: Editors
Url: ftp://ftp.ibiblio.org/pub/Linux/apps/editors/X/

Source0: ftp://ftp.ibiblio.org/pub/Linux/apps/editors/X/cooledit/%name-%version.tar.bz2
Source1: %{name}_48x48.xpm
Source3: cooledit-gdb
Source4: cooledit-README.gdb
Source5: cooledit.ru.po

Patch0: cooledit-3.17.7-alt-widgetfont.patch
#Patch1: cooledit-3.17.7-alt-sysconfdir.patch.gz
Patch2: cooledit-3.17.1-alt-fonts.patch
Patch3: cooledit-3.17.4-alt-gdb.patch
Patch5: cooledit-3.17.14-alt-cooledit_ve.patch

# saved for possible future v22 patch return
Patch6: cooledit-3.17.7-alt-no_syntax_text.patch.gz
Patch7: cooledit-3.17.7-alt-syntax.patch.bz2

Patch8: cooledit-3.17.8-alt-ptys.patch
Patch9: cooledit-3.17.14-mc-extra_syntax.patch.bz2

Patch10: cooledit-3.17.8-alt-v22.patch.bz2
Patch11: cooledit-3.17.17-alt-python.patch
Patch12: cooledit-3.17.17-alt-build.patch

# added on Mon Apr 11 2005
BuildRequires: XFree86-devel

BuildRequires: python-devel = %__python_version
Provides: python%__python_version(cooledit)

# since version 3.17.14
Provides: cooledit-syntax = %version-%release
Obsoletes: cooledit-syntax < 3.17.17

%description
Full-featured X Window text editor; multiple edit windows; 3D Motif-ish
look and feel; shift-arrow and mouse text highlighting; column text
highlighting and manipulation; color syntax highlighting for various
sources; buildin Python interpretor for macro programm.; interactive
graphical debugger - interface to gdb; key for key undo; macro
recording; regular expression search and replace; pull-down menus; drag
and drop; interactive man page browser; run make and other shell
commands with seamless shell interface; redefine keys with an easy
interactive key learner; full support for proportional fonts;

%description -l ru_RU.KOI8-R
     X Windows;
  Motif ;     Shift-;
     ;  
  ;     ;
   -   gdb; 
;  ;     ;
 ; drag and drop;  man-;
 make      ; 
 ;    ;

%prep
%setup -q
%patch0 -p1
%patch2 -p1
%patch3 -p1
# change folders to cooledit_ve
%patch5 -p1
# use pty multiplexor
#%%patch8 -p1
# add extra highlightings from mc
%patch9 -p1
%patch11 -p0
%patch12 -p0

cp %SOURCE3 editor/
cp %SOURCE4 ./README.gdb
cp %SOURCE5 po/ru.po

%build
#autoreconf -ifsv
export MANPAGER=""
export PAGER=""
export rxvt_cv_ptys=GLIBC
%configure \
%if_without M24
	--x-includes=%_includedir \
	--x-libraries=%_libdir \
%endif
	--with-libs="-lX11" \
	--without-included-gettext
%make_build

%install
%makeinstall
%find_lang %name

# icons
install -pD -m644 cooledit_16x16.xpm %buildroot%_miconsdir/cooledit.xpm
install -pD -m644 cooledit_32x32.xpm %buildroot%_iconsdir/cooledit.xpm
install -pD -m644 %SOURCE1 %buildroot%_liconsdir/cooledit.xpm

# menu
mkdir -p %buildroot%_menudir
cat > %buildroot%_menudir/%name <<EOF
?package(cooledit): \
command="cooledit" \
icon="%_liconsdir/cooledit.xpm" \
needs="x11" title="CoolEdit" \
longtitle="Powerful programmer's text editor \
with Python and shell scripting hooks" \
section="Applications/Editors"
EOF

mv %buildroot%_datadir/cooledit %buildroot%_libdir/cooledit_ve

%post
%post_ldconfig
%update_menus

%postun
%postun_ldconfig
%clean_menus

%files -f %name.lang
%_bindir/*
%dir %_libdir/cooledit_ve
%_libdir/cooledit_ve/*
%_menudir/%name
%_libdir/lib*.so*
%_iconsdir/*.xpm
%_miconsdir/*.xpm
%_liconsdir/*.xpm
%_mandir/man1/*
%doc AUTHORS BUGS FAQ INTERNATIONAL HINTS
%doc NEWS README TODO VERSION ChangeLog
%doc rxvt/README.rxvt README.gdb

%changelog
* Tue Jul 11 2006 Grigory Batalov <bga@altlinux.ru> 3.17.17-alt4
- Align static/non-static function declaration.

* Tue Mar 07 2006 Grigory Batalov <bga@altlinux.ru> 3.17.17-alt3
- Provide %_libdir/cooledit_ve directory (#8708)
- Rebuild with recent python (#9110)
- Quote percent sign (%%) in changelog
- Fix linking

* Sat Feb 11 2006 Grigory Batalov <bga@altlinux.ru> 3.17.17-alt2
- Override tty/pty detection

* Sat Dec 17 2005 Grigory Batalov <bga@altlinux.ru> 3.17.17-alt1
- 3.17.17
- v22 (voins) patch unfortunately removed
- Extra syntax highlighting from Midnight Commander was added
- Self-provided cooledit-syntax
- Redundant build dependencies were removed

* Tue Oct 19 2004 Grigory Batalov <bga@altlinux.ru> 3.17.8-alt1
- 3.17.8 (v22)

* Mon May 24 2004 Grigory Batalov <bga@altlinux.ru> 3.17.7-alt3
- Python build requirements fixed

* Thu Feb 26 2004 Dmitry V. Levin <ldv@altlinux.org> 3.17.7-alt2.1
- Removed libintl-devel dependencies.

* Fri Sep 26 2003 Grigory Batalov <bga@altlinux.ru> 3.17.7-alt2
- build requirements fixed

* Wed Mar 26 2003 Grigory Batalov <bga@altlinux.ru> 3.17.7-alt1
- 3.17.7 (v22)
- specfile description translated

* Tue Nov 19 2002 AEN <aen@altlinux.ru> 3.17.5-alt3
- rebuilt with gcc-3.2

* Sun Jun 16 2002 Alexey Voinov <voins@voins.program.ru> 3.17.5-alt2
- spec cleanup
- build with external gettext (-nointl patch) [fixes bug#0000573]
- build with python22 (-python22.patch)
- buildreqs fixed

* Sat Mar 10 2002 Alexey Voinov <voins@voins.program.ru> 3.17.5-alt1
- new version

* Thu Jan 29 2002 Konstantin Volckov <goldhead@altlinux.ru> 3.17.4-alt10
- Rebuilt with python-2.2

* Wed Jun 27 2001 Stanislav Ievlev <inger@altlinux.ru> 3.17.4-alt9
- Rebuilt with python-2.1

* Mon Apr 30 2001 Alexey Voinov <voins@voins.program.ru> 3.17.4-alt8
- conditional NoSource. build nosrc.rpm with --define 'nosource 1'

* Wed Apr 25 2001 Alexey Voinov <voins@voins.program.ru> 3.17.4-alt6
- ru.po updated

* Thu Apr 10 2001 Alexey Voinov <voins@voins.program.ru> 3.17.4-alt4
- /usr/lib/cooledit renamed to /usr/lib/cooledit_ve to remove
  possible conflicts with mcedit
- ve patch version 22
- removed gdb autodependance
- README.gdb added - 3.17.4-alt5

* Thu Apr 10 2001 Alexey Voinov <voins@voins.program.ru> 3.17.4-vns1
- merged with AEN version
- build for MDK Spring 2001
- modify-xinitrc temporary disabled 'cos it's buggy
- see COPYING in common-licenses

* Wed Sep 24 2000 Alexey Voinov <voins@voins.program.ru>
- patch for nested contexts
- %%doc files added

* Wed May 24 2000 AEN <aen@logic.ru>
- build for RE
- Ugly patch for true xkb input

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.14.0-4mdk
- use %%configure.
- Clean up specs.

* Fri Apr 28 2000 Vincent Saugey <vince@mandrakesoft.com> 3.14.0-3mdk
- Clean spec file
- Install icon in /usr/share/icon

* Thu Apr 20 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 3.14.0-2mdk
- Rebuild tarball with sane directory permissions (thanks fredl)

* Mon Apr 10 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 3.14.0-1mdk
- version 3.14.0
- menu entry
- BuildRoot update
- URL update
- Redo filelist to be based on prefix
- Correct bug which prevented proper CFLAGS from showing up
- .a library removed, unnecessary

* Wed Dec 29 1999 Lenny Cartier <lenny@mandrakesoft.com>
- only add the homepage URL

* Wed Dec 29 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used and modify specfile from RH contribs
- added a new filelist
- bzip man pages
- clean specfile

